# reducemaps.lib

A library to handle reduce/map kind of operation in Faust. Its official prefix is `rm`.

#### References

- https://github.com/grame-cncm/faustlibraries/blob/master/reducemaps.lib

### `(rm.)reduce`

Fold-like high order function. Apply a binary operation `op` on a block of consecutive samples of a signal `x`. For example: `reduce(max,128)` will compute the maximun of each block of 128 samples. Please note that the resulting value, while produced continuously, will be constant for the duration of a block. A new value is only produced at the end of a block. Note also that blocks should be of at least one sample (n>0).

#### Usage

    reduce(op, n, x)

### `(rm.)reducemap`

Like `reduce` but a `foo` function is applied to the result. From a mathematical point of view: `reducemap(op,foo,n)` is equivalent to `reduce(op,n):foo` but more efficient.

#### Usage

    reducemap(op, foo, n, x)

#### Search

From here you can search these documents. Enter your search terms below.

#### Keyboard Shortcuts

Keys | Action
--- | ---
`?` | Open this help
`n` | Next page
`p` | Previous page
`s` | Search